Bug 1653419 - [abrt] shotwell: g_menu_model_get_n_items(): shotwell killed by SIGSEGV
Summary: [abrt] shotwell: g_menu_model_get_n_items(): shotwell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: shotwell
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:25a96a0e9c1d4dccec7da41dc44...
: 1684732 1689339 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-26 19:36 UTC by Christian Brandstätter
Modified: 2019-11-27 23:21 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:21:53 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (101.45 KB, text/plain)
2018-11-26 19:36 UTC, Christian Brandstätter
no flags Details
File: cgroup (355 bytes, text/plain)
2018-11-26 19:36 UTC, Christian Brandstätter
no flags Details
File: core_backtrace (37.36 KB, text/plain)
2018-11-26 19:37 UTC, Christian Brandstätter
no flags Details
File: cpuinfo (1.27 KB, text/plain)
2018-11-26 19:37 UTC, Christian Brandstätter
no flags Details
File: dso_list (17.09 KB, text/plain)
2018-11-26 19:37 UTC, Christian Brandstätter
no flags Details
File: environ (2.01 KB, text/plain)
2018-11-26 19:37 UTC, Christian Brandstätter
no flags Details
File: exploitable (82 bytes, text/plain)
2018-11-26 19:37 UTC, Christian Brandstätter
no flags Details
File: limits (1.29 KB, text/plain)
2018-11-26 19:37 UTC, Christian Brandstätter
no flags Details
File: maps (112.10 KB, text/plain)
2018-11-26 19:37 UTC, Christian Brandstätter
no flags Details
File: mountinfo (5.56 KB, text/plain)
2018-11-26 19:37 UTC, Christian Brandstätter
no flags Details
File: open_fds (931 bytes, text/plain)
2018-11-26 19:37 UTC, Christian Brandstätter
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2018-11-26 19:37 UTC, Christian Brandstätter
no flags Details
File: var_log_messages (240 bytes, text/plain)
2018-11-26 19:37 UTC, Christian Brandstätter
no flags Details

Description Christian Brandstätter 2018-11-26 19:36:49 UTC
Description of problem:
Import from android phone was not possible. 

Version-Release number of selected component:
shotwell-0.30.1-1.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        shotwell /home/christian/Pictures/willhaben/Teppich_1.jpg
crash_function: g_menu_model_get_n_items
executable:     /usr/bin/shotwell
journald_cursor: s=9bae1bdb289643d48efb68d50f562b13;i=191bd4;b=4610137c2b9a4294b420a22626a4edbd;m=3f2b5ce8;t=57b7f73174471;x=a7705c1b41e28d5c
kernel:         4.19.2-301.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 g_menu_model_get_n_items at gmenumodel.c:493
 #1 gtk_application_window_update_shell_shows_app_menu at gtkapplicationwindow.c:316
 #2 gtk_application_window_real_realize at gtkapplicationwindow.c:683

Potential duplicate: bug 1476623

Comment 1 Christian Brandstätter 2018-11-26 19:36:56 UTC
Created attachment 1508641 [details]
File: backtrace

Comment 2 Christian Brandstätter 2018-11-26 19:36:58 UTC
Created attachment 1508642 [details]
File: cgroup

Comment 3 Christian Brandstätter 2018-11-26 19:37:01 UTC
Created attachment 1508643 [details]
File: core_backtrace

Comment 4 Christian Brandstätter 2018-11-26 19:37:02 UTC
Created attachment 1508644 [details]
File: cpuinfo

Comment 5 Christian Brandstätter 2018-11-26 19:37:04 UTC
Created attachment 1508645 [details]
File: dso_list

Comment 6 Christian Brandstätter 2018-11-26 19:37:06 UTC
Created attachment 1508646 [details]
File: environ

Comment 7 Christian Brandstätter 2018-11-26 19:37:07 UTC
Created attachment 1508647 [details]
File: exploitable

Comment 8 Christian Brandstätter 2018-11-26 19:37:09 UTC
Created attachment 1508648 [details]
File: limits

Comment 9 Christian Brandstätter 2018-11-26 19:37:13 UTC
Created attachment 1508649 [details]
File: maps

Comment 10 Christian Brandstätter 2018-11-26 19:37:15 UTC
Created attachment 1508650 [details]
File: mountinfo

Comment 11 Christian Brandstätter 2018-11-26 19:37:17 UTC
Created attachment 1508651 [details]
File: open_fds

Comment 12 Christian Brandstätter 2018-11-26 19:37:18 UTC
Created attachment 1508652 [details]
File: proc_pid_status

Comment 13 Christian Brandstätter 2018-11-26 19:37:20 UTC
Created attachment 1508653 [details]
File: var_log_messages

Comment 14 Ger van Dijck 2019-02-07 14:58:04 UTC
Similar problem has been detected:

 just loaded photografs from Leica C camera to shotwell file (directory)

reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        shotwell file:///run/media/GervanDijck/93A2-3F66
crash_function: g_menu_model_get_n_items
executable:     /usr/bin/shotwell
journald_cursor: s=89eca24c34a4499281c01169feeb0f35;i=125544;b=908afa8ee79a45f7b61bdd04e1f17331;m=2c24c0dcc;t=5814ebff3b88b;x=b255ad9145bd82c5
kernel:         4.20.6-200.fc29.x86_64
package:        shotwell-0.30.1-1.fc29
reason:         shotwell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Vitaliy 2019-02-11 10:16:08 UTC
Similar problem has been detected:

After change photo, in dialog window click "dont save changes"

reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        shotwell /home/bison/ /ts.png
crash_function: g_menu_model_get_n_items
executable:     /usr/bin/shotwell
journald_cursor: s=c46471339d0e432ebe181732618969f4;i=4c564;b=89ee820d76ab4ec28ece5ae75c3cc2ef;m=116b23ccec5;t=58193db7a178e;x=ca7eca437a692bd
kernel:         4.19.13-300.fc29.x86_64
package:        shotwell-0.30.1-1.fc29
reason:         shotwell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 radddchad 2019-03-02 00:09:23 UTC
*** Bug 1684732 has been marked as a duplicate of this bug. ***

Comment 17 kyogesh91 2019-03-15 16:29:58 UTC
*** Bug 1689339 has been marked as a duplicate of this bug. ***

Comment 18 Dima Ryazanov 2019-03-20 22:06:40 UTC
Similar problem has been detected:

If I remember correctly, Shotwell crashed when I was closing it after viewing an image

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        shotwell /home/dima/Dropbox/Camera Uploads/Antarctica/DSC02250.ARW
crash_function: g_menu_model_get_n_items
executable:     /usr/bin/shotwell
journald_cursor: s=6f09346979c44dee969a84c5eb980a0f;i=152165;b=bf9e246577f742c2b0f2b2cf905077b0;m=28ffd615d;t=5847e476c4a3f;x=255b06f2a5049a88
kernel:         4.20.16-200.fc29.x86_64
package:        shotwell-0.30.2-1.fc29
reason:         shotwell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 Yann Droneaud 2019-05-20 13:09:40 UTC
bug #1642613 is a possible duplicate of this one.

Comment 20 Ben Cotton 2019-10-31 18:52:47 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 21 Ben Cotton 2019-11-27 23:21:53 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.